.intro {
    position: relative;
    overflow: hidden;
    &__container{
        position: relative;
        display: flex;
        flex-direction: column;
        height: 100%;
        justify-content: center;
        z-index: 2;
    }
    
}

.intro {
    height: rem(800);
    color: $white;
    // background: url('%=static=%assets/01_intro/intro.png') no-repeat center center rgba(#0c0b18, 0.9) / cover;
    background: rgba(#0c0b18, 0.9);
    &__title{
         color: inherit;
    }
    &__slogan{
        position: relative;
        padding-left: rem(26);
        &:before{
            content: '';
            position: absolute;
            left: 0;
            top: rem(3);
            height: rem(14);
            width: rem(26);
            background: url('%=static=%assets/01_intro/arrow.svg') no-repeat center center / contain;
        }
    }
    &__slogan-text{
        opacity: 0.7;
    }
    &__slogan-link{
        position: relative;
        &:before{
            position: absolute;
            content: '';
            left: 0;
            right: 0;
            bottom: rem(-2);
            height: rem(2);
            background: $white;
        }
    }
    &__block{

    }
    &__overlay{
        position: absolute;
        left: 0;
        right: 0;
        top: 0;
        bottom: 0;
        background: rgba(#0c0b18, 0.5);
        z-index: 1;
    }
}

.intro {
    * + &__slogan{
        margin-top: rem(40);
    }
    * + &__block{
        margin-top: rem(57);
    }
}

.video {
    position: absolute;
    top: 0;
    width: 100vw;
    height: 100%;
}

@supports (object-fit: cover) {
    .video {
        object-fit: cover;
    }
}
